HomeGuidesAPI Reference
GuidesAPI ReferenceGitHubAirheads Developer CommunityLog In
API Reference

Update the system password policy

Update the system password policy.

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…
Body Params

Password policy.

number
5 to 64

Maximum password length. Must be ≥ minimum_length if both are defined.

number
required
5 to 64
Defaults to 5

Minimum password length. Must be ≤ maximum_length if both are defined.

number
0 to 64
Defaults to 0

Minimum number of lower case characters required to be in the password.

number
0 to 64
Defaults to 0

Minimum number of numeric case characters required to be in the password.

number
0 to 64
Defaults to 0

Minimum number of special characters required to be in the password. The set of acceptable special characters is defined by the special_characters property.

number
0 to 64
Defaults to 0

Minimum number of upper case characters required to be in the password.

string

The set of special characters acceptable for use in the password. New or updated user passwords are validated against the characters in this set if the minimum_special property is greater than zero. Possible values are limited to the character set !"#$%&'()*+,-./:;<=>?@[\]^_`{|}~.

Responses

Language
Credentials
Header
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json; version=1.0